QGIS Application - Bug report #18671
Can't export to tiff in layout composer
2018-04-09 03:09 PM - Hugo Santos

Status: Closed

Priority: High

Assignee:

Category: Map Composer/Printing

Affected QGIS version:3.0.0 Regression?: Yes
Operating System: Linux Mint 18.3 Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 26559
Description

Can't export to tiff in layout composer (ggis 3.0.1), like in 2.18. In windows with version 3.0.0 allows the image export to tiff and some
other formats.

History

#1 - 2018-04-09 03:12 PM - Giovanni Manghi
- Priority changed from Normal to High

#2 - 2018-04-09 09:24 PM - Nyall Dawson

- Status changed from Open to Feedback

Works fine here, and in multiple unit tests. You'll need to provide more info.

#3 - 2018-04-09 09:44 PM - Hugo Santos

- File qgis3_tiff.gif added

- File qgis3.png added

Hi Nyall

I've tested in my machine at work and one of my home pc, both ubuntu based 16.04 (linux mint 18.3, haven't tried in my other one antergos).

QGIS is installed with the ubuntugis-unstable repo's

I've attached a gif and also the image from the about.

Is there any command | can run to give more info?

Thx in advance.

#4 - 2018-04-10 12:47 AM - Nyall Dawson

Have you got the gt5-image-formats-plugins package installed?

#5 - 2018-04-10 10:00 AM - Hugo Santos
That's the culprit...installed and everything is like is supposed to be!

| didn't have it installed...weird this dep. didn't get installed!

Many thx!

#6 - 2018-04-10 11:44 AM - Nyall Dawson

- Status changed from Feedback to Closed

- Resolution set to invalid

#7 - 2018-06-01 01:56 AM - Stephane Goldstein

| had the same issue recently, in two separate computers running Arch.

gt5-imageformats package wasn't installed as a qgis3 dependency.
